Monday, March 31, 2014

Make Eclipse use JDK8 on MacOSX

A quick one, you are a Java Developer and you may not still code towards JDK8  on your project but you would like your IDE or tools to make use of the all new stuff this new version of the jdk & jre brings. I assume you use the latest Eclipse version which currently is Kepler  4.3.2 .

Step 1: Install JDK 8 for MacOSX, as usual. Download, double click, you are done. If you want a more complete guide along with other development tools setup have a look here.

Step 2: Find the Eclipse.app , on you /Applications Folder, right click and select 'Show Package Contents'

Step 3: Find eclipse.ini,  the Contents/MacOS/eclipse.ini

Step4: Edit the file with your text editor of choice,  and all the following line before the -vmargs one

-vm
/Library/Java/JavaVirtualMachines/jdk1.8.0.jdk/Contents/Home/bin/java

Done, restart your Eclipse IDE.


No comments:

Post a Comment